import request from '@/utils/request'

// 查询用户展示字段列表
export function listShow(query) {
  return request({
    url: '/system/show/list',
    method: 'get',
    params: query
  })
}

// 查询用户展示字段详细
export function getShow(type) {
  return request({
    url: '/system/show/' + type,
    method: 'get'
  })
}

// 新增用户展示字段
export function addShow(data) {
  return request({
    url: '/system/show',
    method: 'post',
    data: data
  })
}

// 修改用户展示字段
export function updateShow(data) {
  return request({
    url: '/system/show',
    method: 'put',
    data: data
  })
}

// 删除用户展示字段
export function delShow(id) {
  return request({
    url: '/system/show/' + id,
    method: 'delete'
  })
}

// 导出用户展示字段
export function exportShow(query) {
  return request({
    url: '/system/show/export',
    method: 'get',
    params: query
  })
}
